import request from '@/utils/request'

// 查询行政许可信息列表
export function listLicensing(query) {
  return request({
    url: '/basicData/xcrAdministrativeLicensing/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政许可信息详细
export function getLicensing(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativeLicensing/' + xhCodeId,
    method: 'get'
  })
}

// 新增行政许可信息
export function addLicensing(data) {
  return request({
    url: '/basicData/xcrAdministrativeLicensing',
    method: 'post',
    data: data
  })
}

// 修改行政许可信息
export function updateLicensing(data) {
  return request({
    url: '/basicData/xcrAdministrativeLicensing',
    method: 'put',
    data: data
  })
}

// 删除行政许可信息
export function delLicensing(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativeLicensing/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delLicensingBatch(ids) {
  return request.post('/basicData/xcrAdministrativeLicensing/delete',ids)
}
